PHP Manual
Prev |  | Next

# dbplus_update

(4.1.0 - 4.2.3 only, PECL)

dbplus_update -- Update specified tuple in relation

## Description

int dbplus_update ( resource relation, array old, array new )

dbplus_update() replaces the `old` tuple with the data from the `new` one, only if the `old` completely matches a tuple within `relation`.

## Parameters

`relation`

  A relation opened by dbplus_open().

`old`

  The old tuple.

`new`

  The new tuple.

## Return Values

## Notes

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Prev | Home | Next
dbplus_unselect | Up | dbplus_xlockrel